@extends('template.'.\Setting::get('template', 'default').'.content.master')

@section('content')
       <section class="header">
        <img src="{{asset('template/images/header-startseite.jpg')}}" style="width: 100%; margin-top: -6%" alt="">
        <div class="container">
            <div class="box__header box__header--startseite">
                <div class="wrapper__box wrapper__box--startseite">
                    <div class="wrapper__box__img">
                        <img src="{{asset('template/images/logo-color.png')}}" class="img-logo" alt="">
                    </div>
                    <div class="wrapper__box__text">
                        <span class="wrapper__box__text--default">
                            Pflegeheim Pleystein
                        </span>
                        <span class="wrapper__box__text--large">
                            WOHNEN AM KREUZBERG
                        </span>
                        <span class="wrapper__box__text--small">
                            Ein Zuhause in Wärme und Geborgenheit
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="article section__margin--top">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-8">
                    <article>
                        <div class="article-title">
                            <span>HERZLICH WILLKOMMEN!</span>
                        </div>
                        <div class="article-content">
                            <p>Das Pflegeheim Pleystein "Wohnen am Kreuzberg" ist ein privates Altenpflegeheim im Landkreis Neustadt a.d. Waldnaab.
                            </p>
                            <p>
                                Wir bieten alten, behinderten, kranken und einsamen Menschen ein Zuhause in Wärme und Geborgenheit. Der Erhalt der Lebensqualität und die Zufriedenheit unserer Bewohner liegt uns am Herzen.
                            </p>
                        </div>
                    </article>
                </div>
                <div class="col-6 col-md-4 explode__note">
                    <div class="box__note">
                        <div class="box__note__text">
                            <div class="box__note__text--title">
                                <span>
                                    WIR SIND JEDERZEIT<br/>FÜR SIE ERREICHBAR:
                                </span>
                            </div>

                            <div class="box__note__text--content">
                                <span>
                                    Pflegeheim Pleystein GmbH<br/>
                                    Wohnen am Kreuzberg<br/>
                                    Vohenstraußer Straße 7<br/>
                                    92714 Pleystein<br/>
                                </span>
                            </div>
                            <div class="box__note__text--contact">
                                <span>
                                    09654 9223-0<br/>
                                    wohnen-am-kreuzberg@t-online.de
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>

       <section id="article-section" >





           <div class="container">

               <div class="row">
                   <div class="col-12">
                       <h2 id="aktuelles">Aktuelles</h2>
                       <br>

                   </div>

                   @foreach($nachrichten as $nach)
                       <div class="col-12 col-md-4">





                           <div class="card h-100 shadow-lg" id="news-{{$nach->id}}">

                               @if ($nach->image)
                                   <img src="{{ asset('uploads/' . $nach->image) }}" class="card-img-top">
                               @endif

                               <div class="card-body">


                                   <h5 class="card-title">{{$nach->title}}</h5>

                                   <h6 class="card-subtitle mb-2">
                                       @if ($nach->user and $nach->user->public_author == 1)
                                           <a   class="text-dark" href="{{ route('author.get', [$nach->user->slug]) }}">
                                               <img src="{{ $nach->user->gravatar() }}" width="32" class="rounded-circle">
                                               {{ $nach->user->name }}</a> - <span style="font-weight: normal " class="text-dark"">{{date('d.m.Y H:i', strtotime($nach->created_at))}}</span>
                                       @else
                                           <i style="font-weight: normal " class="text-dark"">{{date('d.m.Y H:i', strtotime($nach->created_at))}}</i>
                                       @endif
                                   </h6>

                               <!--
                                        @if ($nach->category)
                                   <a href="{{ route('category.get', [$nach->category->slug]) }}">
                                                <div class="badge badge-primary">
                                                    <p style="margin:3px;font-size:15px;">{{ $nach->category->name}}</p>
                                                </div>
                                            </a>
                                        @endif
                                       -->




                                   <p class="card-text">
                                       {!! $nach->nachrichten !!}
                                   </p>

                                   @if ($nach->type_id == 2)
                                       <p class="card-text">
                                       <p style="font-weight:600;">{{ __('public.work-location') }}</p> {{ isset($nach->additional_fields['workplace']) ? $nach->additional_fields['workplace'] : '-'}}
                                       </p>

                                       <p class="card-text">
                                       <p style="font-weight:600;">{{ __('public.contact-data') }}</p> {!! isset($nach->additional_fields['contact_info']) ? $nach->additional_fields['contact_info'] : '-' !!}
                                       </p>
                                   @endif



                               </div>









                           </div>

                       </div>

                   @endforeach



               </div>




           </div>
       </section>


       <section class="teaser">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-4">
                    <div class="card" style="width: 100%;">
                        <img class="card-img-top" src="{{asset('template/images/teaser-01.jpg')}}" alt="">
                        <div class="card-body">
                            <h5 class="card-title">WOHNEN BEI UNS</h5>
                            <p class="card-text">Der Erhalt der Lebensqualität liegt uns am Herzen.</p>
                            <a href="{{asset('wohnen')}}" class="btn btn-home float-right">mehr</a>
                        </div>
                    </div>
                </div>

                <br>
                <br>
                <div class="col-12 col-md-4">
                    <div class="card" style="width: 100%;">
                        <img class="card-img-top" src="{{asset('template/images/teaser-03.jpg')}}" alt="">
                        <div class="card-body">
                            <h5 class="card-title">UNSER PFLEGELEITBILD</h5>
                            <p class="card-text">Wir bieten unseren Bewohnern viele zusätzliche Leistungen & Angebote.</p>
                            <a href="{{url('pflegeleitbild')}}" class="btn btn-home float-right">mehr</a>
                        </div>
                    </div>
                </div>

                <br>
                <br>
                <div class="col-12 col-md-4">
                    <div class="card" style="width: 100%;">
                        <img class="card-img-top" src="{{asset('template/images/teaser-02.jpg')}}" alt="">
                        <div class="card-body">
                            <h5 class="card-title">AUSSENANLAGEN</h5>
                            <p class="card-text">Unsere gemütliche Sonnenterrasse lädt zum Verweilen ein.</p>
                            <a href="{{url('aussenanlagen')}}" class="btn btn-home float-right">mehr</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="full__image">
        <img src="{{asset('template/images/midle-startseite.jpg')}}" style="width: 100%" alt="">
        <div class="container">
            <div class="row">
                <div class="col">
                    <div class="wrapper full__image-content">
                        <div class="full__image-content--line"></div>
                        <div class="full__image-content--text">
                            <p>Die Würde des Menschen ist unantastbar.<br/>Sie achten und zu schützen ist unsere Verpflichtung!</p>
                        </div>
                        <a href="{{url('pflegeleitbild')}}" class="btn btn-home">Unser Pflegeleitbild »</a>
                    </div>
                </div>
            </div>
        </div>
    </section>

@stop
